Get an artist
Get one of the gallery's artists by id.
Get one of the gallery's artists by id.
Authorization
bearerAuth artists:readA gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).
In: header
Scope: artists:read
Path Parameters
The artist id.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
{ "id": "string", "name": "string", "sort_name": "string", "nationality": "string", "birth_year": -9007199254740991, "death_year": -9007199254740991, "biography": "string", "website_url": "string", "pronouns": "string", "birthplace": "string", "based_in": "string", "statement": "string", "cv_url": "string", "socials": { "property1": "string", "property2": "string" }, "public_email": "string", "public_phone": "string", "visibility": "private", "metadata": { "property1": "string", "property2": "string" }, "created_at": "string", "updated_at": "string", "save_state": "new"}{ "type": "../dictionary", "title": "string", "status": 0, "detail": "string", "code": "invalid_request", "retry": "permanent", "details": null}{ "type": "../dictionary", "title": "string", "status": 0, "detail": "string", "code": "invalid_request", "retry": "permanent", "details": null}{ "type": "../dictionary", "title": "string", "status": 0, "detail": "string", "code": "invalid_request", "retry": "permanent", "details": null}{ "type": "../dictionary", "title": "string", "status": 0, "detail": "string", "code": "invalid_request", "retry": "permanent", "details": null}{ "type": "../dictionary", "title": "string", "status": 0, "detail": "string", "code": "invalid_request", "retry": "permanent", "details": null}{ "type": "../dictionary", "title": "string", "status": 0, "detail": "string", "code": "invalid_request", "retry": "permanent", "details": null}Mint a signed artist-document upload URL POST
Returns a one-time signed target for uploading a document directly to Storage. The server derives the gallery-scoped object key; the client then uploads the bytes and registers the object via POST /documents. Requires a first-party session.
Register an artist image POST
Registers an already-uploaded object (from the upload-url endpoint) as an image row, appended to the end. Requires a first-party session.